unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series, Chart;

var Chart1: TChart;

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
begin
  Chart1:=TChart.Create(Self);
  Chart1.Parent:=Self;
  Chart1.Align:=alClient;

  for i:=0 to 3 do
    Chart1.AddSeries(TBarSeries);

  Chart1.Legend.CheckBoxes:=true;
  Chart1.Legend.Alignment:=laTop;

  TrackBar1.Max:=25;
  TrackBar1.Min:=5;

  TrackBar1.Position:=8
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  Chart1.Legend.Font.Size:=TrackBar1.Position;
  Label1.Caption:='Legend Font Size: ' + IntToStr(Chart1.Legend.Font.Size);
end;

end.
